﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

:root {
    
}

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
  
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
    background-color: black;
    color:white;
    color-scheme: dark;
}

.table {
    color:white;;
}

.table-striped tbody tr:nth-of-type(odd) {
    background-color: rgba(255, 255, 255, .1);
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}


.nav a {
    background-color: silver !important;
    color: white !important;
}

    .nav a:focus {
        background-color: transparent;
    }

    .nav a:hover {
        background-color: darkgrey !important;
        color: black;
    }


.nav > .active > a {
    background-color: black !important;
}


th {
    text-transform: uppercase !important;
    font-size: 10px;
}

/* for navbar in snowboard  */

ul.navbar-nav {
}

li.nav-item {
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 0px;
    background-color: whitesmoke;
    margin-right: 4px;
    text-align: center;
    padding: 0px;
    vertical-align: middle;
}

    li.nav-item a {
        display: block !important;
        height: 100%;
        vertical-align: middle;
    }

        li.nav-item a:hover {
            background-color: silver;
        }

    li.nav-item li.active {
        border: 5px red;
    }

li.active a, li.active a:hover {
    color: white !important;
    background-color: #343a40;
}








/* Set padding to keep content from hitting the edges */
.body-content {
    padding-left: 15px;
    padding-right: 15px;
}

h3 {
    color: white;
    text-transform: uppercase;
    text-align: center;
    font-size: 22px;
}

h4 {
    color: black;
    text-transform: uppercase;
    font-size: 10px;
}

/* Set width on the form input elements since they're 100% wide by default */
input,
select,
textarea {
    max-width: 280px;
}

.invalid {
    opacity: 0.5;
}

a:active {
    outline: none;
}

.navbar-inverse {
    background-color: black;
    border-collapse: collapse;
    border: none;
}

ul.nav {
    border-style: solid;
    border-width: 0 4px 0 4px;
    border-color: White;
}




th {
    font-weight: normal;
}


.semi {
    opacity: 0.5;
}







.blue th {
    background-color: rgb(155, 184, 255);
}

.red th {
    background-color: rgb(255, 134, 134);
}


.red, .heatDifftime .red, span.red {
    background-color: rgb(255, 50, 50);
}


.blue, td.blue, span.blue {
    background-color: rgb(50,50,255);
}


.yellow td, td.yellow, span.yellow, div.yellow {
    background-color: rgb(10,10,10);
}

.green td, td.green, span.green {
    background-color: rgba(0, 255, 0, 0.3);
}

td.red, td.blue, td.yellow, td.green {
    padding: 4px;
    text-align: center;
    vertical-align: middle;
}

.course1, td.course1 {
    background-color: rgb(50,50,50);
}


.course2, td.course2 {
    background-color: rgb(20,20,20);
}



.pos {
    text-align: center;
}

td.pos {
    opacity: 0.5;
}

.rank {
    text-align: center;
}

td.rank {
    font-weight: bold;
}



.bib {
    text-align: center;
}

td.name {    
    text-align: left;
    font-weight: bold;
    vertical-align: middle;
}

span.name {
    margin-left: 4px;
}



td.nation {
    width:64px;
}

.nation {
    text-align: center;
    font-weight: normal;
}

th.nation {
    text-align: left;
    vertical-align: middle;
}

td.nation {
    white-space: nowrap;
    text-align: left;
    vertical-align: middle;
}

img.nation {
    width: 28px;
    height: 16px;
    margin-left: 4px;
    margin-right:4px;
    vertical-align: center;
    border-radius: 2px;
}

span.nation {
    display: inline-block;
    text-align: left;
    width: 24px;
    font-size: 12px;
}


.time {
    text-align: center;
    vertical-align: middle;
}

.total {
    text-align: center;
    vertical-align: middle;
}

td.total {
    font-weight: bold;
    vertical-align: middle;
}

td.bib {
    vertical-align: middle;
}

td.rank {
    vertical-align: middle;
}

.name {
    text-wrap: nowrap;
    overflow: clip;
}


#heatsBody {
    overflow-x: scroll;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-around;
}

.round {   
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-around;
   
}

   

.heat {
    width: 100%;
    padding: 8px;
}

table.heat {
    border: 1px solid #343a40;
}

.current {
    border: 1px solid gold !important;
}

th.heatName {
    background-color: #343a40;
    text-align: center;
   
}

    th.heatName span {
        color: white;
        margin-left: 4px;
        margin-right: 4px;
    }
    le
    td {
        
    }
    
    td.run {
        width: 60px !important;
        text-align: center;
    }
    
    span.run {
        width: 60px !important;
        width: 60px !important;
        text-align: center;
    }

.winner {
    color: white;
    font-weight: bold;
}

.loser {
    color: silver;
    font-weight: normal;
}

.regular {
    color: black;
    font-weight: bold;
}

.difftime {
    text-align: center;
}

.heatDifftime {
    display: inline-block;
    margin: 0px;
    font-weight: bold;
}

.runDifftime {
    display: block;
    margin: 0px;
}

tr[data-href] {
    cursor: pointer;
}

.eventName {
    font-weight: bold;
}

.disciplineName {
}




div.inner {
    border: 2px solid #343a40;
    margin: 2px;
}


#errorDiv, #connectionState {
    display: inline !important;
    color: red !important;
}


.photofinish {
    text-align: center;
    color: red;
    font-weight: bold;
    animation: blinker 1s linear infinite;
}



@keyframes blinker {
    50% {
        opacity: 0;
    }
}

span.secondary {
    color:palegoldenrod;
}

.left {
    background-color: #00FF0033;
}

.right {
    background-color: #FF000033;
}